summaryrefslogtreecommitdiff
path: root/debian/tests/link-to-library
diff options
context:
space:
mode:
authorRuben Undheim <ruben.undheim@gmail.com>2018-08-02 20:30:56 +0200
committerRuben Undheim <ruben.undheim@gmail.com>2018-08-02 20:44:59 +0200
commita8295c80a49090365539d852a37c4014c8d94d3a (patch)
tree83c6bd27494fb36e3f422dffcda77bea8c8d51c5 /debian/tests/link-to-library
parent1a8efd6ac60bff38fd9fc5e3d36933420916e082 (diff)
New version with a sensible autopkgtestHEADdebian/4.1.1-6archive/debian/4.1.1-6master
Diffstat (limited to 'debian/tests/link-to-library')
-rwxr-xr-xdebian/tests/link-to-library34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/tests/link-to-library b/debian/tests/link-to-library
new file mode 100755
index 0000000..2f09881
--- /dev/null
+++ b/debian/tests/link-to-library
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+TMPDIR=`mktemp -d`
+
+
+cd ${TMPDIR}
+cat > source_file.cc << EOF
+#include <iostream>
+
+int main() {
+ std::cout << "Hello world. Just tested that it is possible to\nlink with -lfyba, -lfygm and -lfyut without\nanything written to stderr." << std::endl;
+}
+
+EOF
+
+RET=0
+
+g++ -o source_file source_file.cc -lfyba -lfygm -lfyut
+RETSTEP=$?
+if [ "$RETSTEP" != "0" ] ; then
+ RET=1
+fi
+
+./source_file
+RETSTEP=$?
+if [ "$RETSTEP" != "0" ] ; then
+ RET=1
+fi
+
+readelf -d ./source_file
+
+rm -rf ${TMPDIR}
+
+exit $RET